[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'Pipes' (#fcl)

# TInputPipeStream.Read

Read data from the stream to a buffer.

## Declaration

Source position: pipes.pp line 42

`public function TInputPipeStream.Read(`
`var Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Memory buffer where to write the data read from the stream.
`Count` |  | Number of bytes to read from the stream.

## Function result

Number of bytes actually read from the stream.

## Description

Read calls the inherited read and adjusts the internal position pointer of the stream.

## Errors

None.

## See also

Write |  | Write data to the stream.
Seek |  | Set the current position of the stream

Documentation generated on: Feb 26 2014